Bug 1261203 - Enterprise Ansible installed /var/origin/... but RHEL imagestreams and /etc/openshift
Enterprise Ansible installed /var/origin/... but RHEL imagestreams and /etc/...
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Scott Dodson
Ma xiaoqiang
Depends On:
  Show dependency treegraph
Reported: 2015-09-08 17:53 EDT by Ryan Howe
Modified: 2016-07-03 20:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1261554 (view as bug list)
Last Closed: 2015-09-11 09:12:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2015-09-08 17:53:15 EDT
Description of problem:
Enterprise Ansible installed contents in /var/origin/openshift 

Version-Release number of selected component (if applicable):

How reproducible:
Only reproduced once have not tried again

Steps to Reproduce:
1. Following documentation 


Actual results:
Contents should be in  /var/lib/origin

Expected results:

Contents should be in /var/lib/openshift 

Additional info:

#[root@master origin]# pwd
[root@master origin]# ll
total 0
drwx------. 3 root root 19 Sep  4 12:10 openshift.local.etcd
drwxr-x---. 4 root root 31 Sep  2 16:42 openshift.local.volumes

#[root@master origin]# oc get image --all-namespaces
NAMESPACE                                                                 NAME      DOCKER REF
02d394ee667a865baf5d99f4f5d6d7146ef5900a58f3aab70b095316058e05cb          registry.access.redhat.com/jboss-amq-6/amq-openshift:6.2-84
114ca2aa4e7deae983e19702015546a6be564f79aaabd1997c65ee8564323039          registry.access.redhat.com/openshift3/mongodb-24-rhel7:v3.0.0.0
1426af0fc516b8ac50f6d1f127ca25b6275cb3ed86efff12ef1b2a9c912f56c7          registry.access.redhat.com/openshift3/ruby-20-rhel7:v3.0.0.0
18a614c1ed41987b8bd941d4b2f241df4340060bc755429d35b7dcbfaf753b41          registry.access.redhat.com/openshift3/python-33-rhel7:latest
21f6d385fc0f16a1e4d05c16b2947eae8e576ae6d6c56ef3a151ec61e30f10d0          registry.access.redhat.com/openshift3/perl-516-rhel7:v3.0.0.0
23f62abc77f1c7a5f42909363b097a756fa8e427fc19ffd1f11fe7adb63ecae8          registry.access.redhat.com/openshift3/python-33-rhel7:v3.0.0.0
2b8583f742ac6c759a342033dceedf360f5e4d7a1c3eef4d073f3ecbb9f492e2          registry.access.redhat.com/openshift3/php-55-rhel7:v3.0.0.0
3c7c6d0b04516295ae6f699bfb8b3562eb3acd60b95a3bc4d013a9496de49a54          registry.access.redhat.com/openshift3/php-55-rhel7:v3.0.1.0
4cc25684d3228fd08ed00f9220db04301a3995d49641fb00488abc0da76da0e6          registry.access.redhat.com/openshift3/postgresql-92-rhel7:latest

#[root@master lib]# oc get imagestream --all-namespaces
NAMESPACE                            NAME                                                             DOCKER REPO                     TAGS      UPDATED
jboss-amq-6                          registry.access.redhat.com/jboss-amq-6/amq-openshift             6.2,6.2-123,6.2-84,latest       6 days ago
jboss-eap6-openshift                 registry.access.redhat.com/jboss-eap-6/eap-openshift             6.4,6.4-207,6.4-239,latest      6 days ago
jboss-webserver3-tomcat7-openshift   registry.access.redhat.com/jboss-webserver-3/tomcat7-openshift   3.0,3.0-135,3.0-160,latest      6 days ago
jboss-webserver3-tomcat8-openshift   registry.access.redhat.com/jboss-webserver-3/tomcat8-openshift   3.0,3.0-137,3.0-163,latest      6 days ago
jenkins                              registry.access.redhat.com/openshift3/jenkins-16-rhel7                                           
mongodb                              registry.access.redhat.com/openshift3/mongodb-24-rhel7           2.4,latest,v3.0.0.0,v3.0.1.0    6 days ago
mysql                                registry.access.redhat.com/openshift3/mysql-55-rhel7             5.5,latest,v3.0.0.0,v3.0.1.0    6 days ago
nodejs                               registry.access.redhat.com/openshift3/nodejs-010-rhel7           0.10,latest,v3.0.0.0,v3.0.1.0   6 days ago

#cat /etc/ansible/hosts





Comment 2 Ryan Howe 2015-09-09 11:38:38 EDT
Raising the severity since this will cause an existing installed environment to look like all data is lost after the ansible is run again with an updated repo. 

Original data is stored in /var/lib/openshift 

with new repo 

data is now stored in /var/lib/origin with the most recent ansible install 

Customers that have now installed with this version will need steps to revert the data over from /var/lib/orgin to /var/lib/openshift once this is resolved.
Comment 3 Scott Dodson 2015-09-09 13:18:07 EDT
Proposed fix:

A workaround until that's tested and merged is to add 'openshift_data_dir=/var/lib/openshift' in your inventory and re-run ansible.
Comment 4 Ma xiaoqiang 2015-09-10 05:05:08 EDT
Check on https://github.com/sdodson/openshift-ansible/tree/openshift_data_dir

When QE install ose, the data dir is /var/lib/openshift/, the config dir is /etc/openshift.  QE can move this issue to VERIFIED. 

If install env for origin, the config_base is /etc/openshift, but the data_dir is 
/var/lib/origin, is it correct?
Comment 5 Scott Dodson 2015-09-10 09:23:29 EDT

I've made origin use /var/lib/openshift for now.
Comment 6 Scott Dodson 2015-09-10 09:24:08 EDT
Sorry, I was less than clear, I've just updated the pull request to make origin installs continue using /var/lib/openshift.
Comment 7 Scott Dodson 2015-09-11 09:12:57 EDT
Marking closed current release, code has been merged upstream.

Note You need to log in before you can comment on or make changes to this bug.